<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structiot__mutex__internal__t" kind="struct" language="C++" prot="public">
    <compoundname>iot_mutex_internal_t</compoundname>
    <includes local="no">cy_iot_platform_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structiot__mutex__internal__t_1ab8c1c51ed11b8bbd43b379c09bace64f" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_mutex_t</type>
        <definition>cy_mutex_t iot_mutex_internal_t::xMutex</definition>
        <argsstring />
        <name>xMutex</name>
        <briefdescription>
<para>cyabs_rtos mutex. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="40" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="40" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Holds information about an active Mutex. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="41" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="38" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="39" />
    <listofallmembers>
      <member prot="public" refid="structiot__mutex__internal__t_1ab8c1c51ed11b8bbd43b379c09bace64f" virt="non-virtual"><scope>iot_mutex_internal_t</scope><name>xMutex</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>